Get list of accounts for current user

Get paginated list of accounts available to the authenticated user.
Requires either 'view_all_accounts_details_balance' permission to view all business accounts,
or ANY of the following permissions to view accessible accounts only:

  • view_balance_details_of_accessible_accounts
  • make_currency_exchanges_between_accessible_accounts
  • make_payment_from_accessible_accounts
  • manage_scheduled_payments_from_accessible_accounts
  • view_business_transactions_for_accessible_accounts
  • add_edit_delete_team_members
  • view_scheduled_payments_for_accessible_accounts
Query Params
string

Specifies which fields to include for accounts resource.

Available fields: [id, label, createdAt, isActive, number, balance, availableAmount, typeId, description, initialBalance, allowWithdrawals, allowDeposits, updatedAt, type, currencyType].

Example: id,label,isActive,type

boolean

Filter by account active status

Example: eq:1

string

Filter by currency type (fiat, crypto, other)

Example: eq:fiat

integer

Sets the page number (default 1)

Example: 5

integer

Sets the number of items per page (default 10, max 100)

Example: 25

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json